Unifi Controller installieren

  • Hallo,


    ich habe heute meinen Raspberry Pi 2 Model B Rev 1.1 neu aufgesetzt (zuviel alter Müll usw.)


    Darauf läuft ein raspberry pi os lite.


    Installiert ist einmal Pihole was auch ohne Probleme jetzt wieder rennt.


    Allerdings macht mir jetzt der Unifi Controller ärger.


    Nachdem ich java installiert und die resposities hinzugefügt habe.


    Kam bei dem installationsversuch folgende Fehlermeldung:

    Alle Versuche die mongodb zu installieren sind gescheitert.


    Soweit ich jetzt rausfinden konnte, gibt es keine Version mehr für 32Bit. Wobei die Mongodb nach erfolgreicher Unifi installation eh deaktiviert wird.


    Da der Pi2 ja kein 64 Bit unterstützt


    Heißt ich muss jetzt auf einen neuen Pi umsteigen? (Bisher lief auch der Unifi Controller Problemlos)


    Grad bissl ratlos.



    gruß


    geheim5000

  • Go to Best Answer
  • Moin geheim5000,


    da, zumindest bei Raspberry Pi OS bullseye, kein unifi-Paket mehr bei ist, musst du also vorher was gemacht haben.


    Verrate doch welches Betriebssystem du installiert hast und in welcher Version.


    73 de Bernd

    Ich habe KEINE Ahnung und davon GANZ VIEL!!
    Bei einer Lösung freue ich mich über ein ":thumbup:"

    Vielleicht trifft man sich in der RPi-Plauderecke.

  • da ich gestern erst neu installiert habe ist jetzt bullseye (5.10.63-v7+) drauf.


    vorher gemacht habe ich nur installiert und dann pihole installiert. Alles frisch allso nichts weiter.


    Grob nach dieser Anleitung vorgegangen


    https://freifunk-lippe.de/tech…raspberrypi-installieren/


    Also neue quelle für unifi eingetragen, das musste ich aber bei der Installation vor 2 bis 3 Jahren auch schon machen.


    Das vorherige System hab ich vor 2 bis 3 jahren installiert. Aber immer up do date gehalten. Davon exestiert ein Backup mit bullseye und auch von buster (ursprünglich gestartet war ich mit dem Vorgänger von buster wenn ich das richtig im Kopf habe)


    Darum wollte ich auch einmal frisch anfangen.

    • Best Answer

    Moin geheim5000,


    schau dir mal diese Seite an. Anscheinend braucht die neueste Version von Unifi keine MongoDB mehr.

    Quote


    Unifi Controller now works with mongodb-server 3.6

    73 de Bernd

    Ich habe KEINE Ahnung und davon GANZ VIEL!!
    Bei einer Lösung freue ich mich über ein ":thumbup:"

    Vielleicht trifft man sich in der RPi-Plauderecke.

  • Ähm wo hast du das gelesen?


    Selbst im neuesten Post geht es noch um die mongodb


    ansonsten gleiche Fehlermeldung


  • Ok habe es jetzt gefunden was du denke ich meinst.


    Da war eine Verlinkung zu einem Script, dieses kann die mongodb Datenbank installation anscheinend ausklammern.


    Also Problem gelöst.


    Danke :)

  • Moin geheim5000,


    ich hatte schon den Auszug in die Zwischenablage gepackt und wollte es gerade posten.


    Danke für die Rückmeldung. Viel Spaß weiterhin.


    73 de Bernd

    Ich habe KEINE Ahnung und davon GANZ VIEL!!
    Bei einer Lösung freue ich mich über ein ":thumbup:"

    Vielleicht trifft man sich in der RPi-Plauderecke.